<?php
#-----------------------------------------------------#
#     ============ЗАГРУЗ-ЦЕНТР=============           #
#             	 Автор  :  Sea                        #
#               E-mail  :  x-sea-x@ya.ru              #
#                  ICQ  :  355152215                  #
#   Вы не имеете права распространять данный скрипт.  #
#   		По всем вопросам пишите в ICQ.        #
#-----------------------------------------------------#

// mod Gemorroj

list($msec,$sec)=explode(chr(32),microtime());
$HeadTime=$sec+$msec;
$kop=616;

// Компрессия
if(@$_SERVER['HTTP_ACCEPT_ENCODING'])
{$compress = strtolower(@$_SERVER['HTTP_ACCEPT_ENCODING']);}
else
{$compress = strtolower(@$_SERVER['HTTP_TE']);}

if(substr_count($compress,'deflate'))
{
function compress_output_deflate($output)
{return gzdeflate($output,5);}
header('Content-Encoding: deflate');
ob_start('compress_output_deflate');
ob_implicit_flush(0);
}
elseif(substr_count($compress,'gzip'))
{
function compress_output_gzip($output)
{return gzencode($output,5);}
header('Content-Encoding: gzip');
ob_start('compress_output_gzip');
ob_implicit_flush(0);
}
elseif(substr_count($compress,'x-gzip'))
{
function compress_output_x_gzip($output)
{
$x = "\x1f\x8b\x08\x00\x00\x00\x00\x00";
$size = strlen($output);
$crc = crc32($output);
$output = gzcompress($output,5);
$output = substr($output, 0, strlen($output) - 5);
$x.= $output;
$x.= pack('V',$crc);
$x.= pack('V',$size);
return $x;
}

header('Content-Encoding: x-gzip');
ob_start('compress_output_x_gzip');
ob_implicit_flush(0);
}


session_name('lid');
session_start();

header('Content-type: text/html; charset=utf-8');
header('Expires: Thu, 21 Jul 1977 07:30:00 GMT');
header('Last-Modified: '.gmdate('r').' GMT');
header('Cache-Control: post-check=0, pre-check=0', false);
header('Pragma: no-cache');

print '<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="shortcut icon" href="icon.ico" />
';//<title>'.$setup['zag'].'</title>
echo '<title>';
if (!$s['name']) { echo 'Лучшие загрузки на '.str_replace('http://','',$setup['site_url']);}
else echo $s['name'].' - '.str_replace('http://','',$setup['site_url']);
echo'</title><link href="style.css" rel="stylesheet" style="text/css">';
##############Заголовок##########################
if ($s['name']) echo '<div class="title_bord"><div class="title"><b><font color="#FFFFFF">'.$s['name'].'</font></b><br></div>';
else  echo '<div class="title_bord"><div class="title"><b><font color="#FFFFFF">Лучшие загрузки на '.str_replace('http://','',$setup['site_url']).'</font></b><br></div>';
/*if (empty($bla)){
echo '<div class="menu"> <a href="http://'.$setup['site_url'].'">'.$setup['site_url'].'</a>&raquo;<a href="index.php">Загрузки</a>&raquo;'.$put.'</div>'; }*/
/*else {
$bodun=$dir;
$bodun=str_replace('/','»',$bodun);
$bodun=str_replace('files»','',$bodun);
echo ' <div class="menu"> <a href="http://'.$setup['site_url'].'">'.$setup['site_url'].'</a>&raquo;<a href="index.php">Загрузки</a>&raquo;'.$bodun.'</div>';
 }*/
?>